Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dfs.chardet
Class nsPSMDetector

    java.lang.Object
      com.knowgate.dfs.chardet.nsPSMDetector

Direct Known Subclasses:
  nsDetector

    public abstract class nsPSMDetector

extends java.lang.Object

Field Summary
`static int` | `ALL`
`static int` | `CHINESE`
`static int` | `JAPANESE`
`static int` | `KOREAN`
`static int` | `MAX_VERIFIERS`
`static int` | `NO_OF_LANGUAGES`
`static int` | `SIMPLIFIED_CHINESE`
`static int` | `TRADITIONAL_CHINESE`

Constructor Summary
`nsPSMDetector()`
`nsPSMDetector(int langFlag)`
`nsPSMDetector(int aItems, nsVerifier[] aVerifierSet, nsEUCStatistics[] aStatisticsSet)`

Method Summary
`void` | `DataEnd()`
`java.lang.String[]` | `getProbableCharsets()`
`boolean` | `HandleData(byte[] aBuf, int len)`
`protected void` | `initVerifiers(int currVerSet)`
`abstract void` | `Report(java.lang.String charset)`
`void` | `Reset()`
`void` | `Sample(byte[] aBuf, int aLen)`
`void` | `Sample(byte[] aBuf, int aLen, boolean aLastChance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL

    public static final int ALL

See Also:
  Constant Field Values

### JAPANESE

    public static final int JAPANESE

See Also:
  Constant Field Values

### CHINESE

    public static final int CHINESE

See Also:
  Constant Field Values

### SIMPLIFIED_CHINESE

    public static final int SIMPLIFIED_CHINESE

See Also:
  Constant Field Values

### TRADITIONAL_CHINESE

    public static final int TRADITIONAL_CHINESE

See Also:
  Constant Field Values

### KOREAN

    public static final int KOREAN

See Also:
  Constant Field Values

### NO_OF_LANGUAGES

    public static final int NO_OF_LANGUAGES

See Also:
  Constant Field Values

### MAX_VERIFIERS

    public static final int MAX_VERIFIERS

See Also:
  Constant Field Values

Constructor Detail

### nsPSMDetector

    public nsPSMDetector()

### nsPSMDetector

    public nsPSMDetector(int langFlag)

### nsPSMDetector

    public nsPSMDetector(int aItems,
                         nsVerifier[] aVerifierSet,
                         nsEUCStatistics[] aStatisticsSet)

Method Detail

### Reset

    public void Reset()

### initVerifiers

    protected void initVerifiers(int currVerSet)

### Report

    public abstract void Report(java.lang.String charset)

### HandleData

    public boolean HandleData(byte[] aBuf,
                              int len)

### DataEnd

    public void DataEnd()

### Sample

    public void Sample(byte[] aBuf,
                       int aLen)

### Sample

    public void Sample(byte[] aBuf,
                       int aLen,
                       boolean aLastChance)

### getProbableCharsets

    public java.lang.String[] getProbableCharsets()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD